Please update nginx in Xenial to 1.9.11

Bug #1543624 reported by Thomas Ward on 2016-02-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nginx (Ubuntu)
Wishlist
Thomas Ward

Bug Description

NGINX 1.9.11 was released on February 9, 2016. Specifics of note are bugfixes in HTTP/2 (which remains disabled in Ubuntu), TCP support in the resolver functions, and the first of the dynamic modules functionality.

------

This is the upstream changelog:

Changes with nginx 1.9.11 09 Feb 2016

    *) Feature: TCP support in resolver.

    *) Feature: dynamic modules.

    *) Bugfix: the $request_length variable did not include size of request
       headers when using HTTP/2.

    *) Bugfix: in the ngx_http_v2_module.

------

Coordination for the dynamic modules inclusion will be done with Debian, as they should likely be the first to produce dynamic-module-based packaging; once it's in Debian we may wish to consider it for inclusion later, with the release team's approval to do so. Such dynamic module inclusion will very likely result in an increase in the number of built binary packages, but this will be determined at a later time.

For updating nginx in Xenial to 1.9.11, there should be no major packaging changes - as I would rather Debian come up with the module-specific-packages first, so it can then be merged and included into Xenial.

I am currently touching base with Debian to determine if we want to do a coordinated release; if I don't hear from them, then nginx 1.9.11 will likely get its own upload with the -0ubuntu1 version suffix. (All changes from the prior merges will remain in place).

Thomas Ward (teward) on 2016-02-09
description: updated
Thomas Ward (teward) wrote :

We are not rolling Dynamic Module support at this time, though it's available in core. To build dynamic modules, one must build the module alongside nginx, at compile time, but it will produce .so shared library objects that can be individually packaged.

There is an FTBFS in the nginx-extras flavor, with the Lua module. This is blocking uploading NGINX 1.9.11 to Ubuntu.

Ongoing tracking of the incompatibility can be found at these upstream links for the Lua module:
https://github.com/openresty/lua-nginx-module/issues/668
https://github.com/openresty/lua-nginx-module/pull/669

Changed in nginx (Ubuntu):
status: In Progress → Triaged
Thomas Ward (teward) wrote :

As previously with uploads/merges to Xenial, this is being build-tested in https://launchpad.net/~teward/+archive/ubuntu/xenial-buildtests. Subsequent versions of the package in this PPA will get +b1, +b2, etc. appended to the end for build testing purposes.

Depending on whether Debian gets a solution for this sooner than I do, this will be versioned for Ubuntu as one of the following:
Direct Upload: 1.9.11-0ubuntu1
Merge from Debian: 1.9.11-1ubuntu1

Changed in nginx (Ubuntu):
status: Triaged → In Progress
Thomas Ward (teward) wrote :

nginx 1.9.11-0ubuntu1.1~ppa0 in the PPA includes the following upstream code patch for the nginx-lua module from OpenResty:

https://github.com/openresty/lua-nginx-module/commit/64866bcf4d3c1d9f5990bb43507118d50904cc52.patch

This addresses the FTBFS introduced by the changes to NGINX 1.9.11 involving the udp connection item inside of NGINX.

------

This successfully builds on all arches available to my build tests PPA (amd64 i386 arm64 armhf ppc64el), and correctly operates.

All other Ubuntu specific changes from the merge remain in place. I am planning to upload 1.9.11-0ubuntu1, with an updated changelog to include the upstream patch from OpenResty to fix the FTBFS, within the next several hours, unless Debian provides an upload that can be merged here, first.

Thomas Ward (teward) wrote :

This was uploaded approximately two hours ago, and is now available in the repositories.

The following is the changelog entry for the upload that has now marked this as 'fix released':

nginx (1.9.11-0ubuntu1) xenial; urgency=low

  * New upstream release (1.9.11) - see http://nginx.org/en/CHANGES for
    full changelog.
  * Ubuntu-specific changes from the 1.9.10 merge remain included here.
  * Additional changes:
    - debian/modules/nginx-lua: Apply upstream patch to fix FTBFS issue

 -- Thomas Ward <email address hidden> Tue, 09 Feb 2016 10:33:14 -0500

Changed in nginx (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers